summaryrefslogtreecommitdiffstats
path: root/network/hping3/hping3.SlackBuild
diff options
context:
space:
mode:
author Marco Bonetti2010-05-12 23:32:14 +0200
committer Robby Workman2010-05-12 23:32:14 +0200
commitf054737ae13a8a13f0e407531874818686146bba (patch)
tree7b05bdbd9c5ce6c4ec2b7535318dd7055188cbc2 /network/hping3/hping3.SlackBuild
parent22df004c95878305e396aaf460bcb6449f956617 (diff)
downloadslackbuilds-f054737ae13a8a13f0e407531874818686146bba.tar.gz
network/hping3: Added to 12.2 repository
Diffstat (limited to 'network/hping3/hping3.SlackBuild')
-rw-r--r--network/hping3/hping3.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/network/hping3/hping3.SlackBuild b/network/hping3/hping3.SlackBuild
new file mode 100644
index 0000000000..7b04668ad0
--- /dev/null
+++ b/network/hping3/hping3.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for hping3 TCP/IP packet assembler/analyzer
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hping3
+VERSION=${VERSION:-20051105}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+DOCS="APD.txt API.txt AS-BACKDOOR HPING2-HOWTO.txt HPING2-IS-OPEN HPING3.txt \
+MORE-FUN-WITH-IPID SPOOFED_SCAN.txt hping2rc.example"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/tcl85.tcpdump.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+
+# Install is done by hand, as the Makefile doesn't understand DESTDIR
+# (and it's just one file)
+install -d $PKG/usr/sbin/
+install -m 0755 hping3 $PKG/usr/sbin/
+( cd $PKG/usr/sbin
+ ln -sf hping3 hping
+ ln -sf hping3 hping2
+)
+install -d $PKG/usr/man/man8/
+install -m 0644 docs/hping2.8 $PKG/usr/man/man8/
+install -m 0644 docs/hping3.8 $PKG/usr/man/man8/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd docs ; cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz